<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcyhal__uart__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cyhal_uart_cfg_t</compoundname>
    <includes local="no">cyhal_uart.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcyhal__uart__cfg__t_1a3360061aafad236eb9a9d347f9154643" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_uart_cfg_t::data_bits</definition>
        <argsstring />
        <name>data_bits</name>
        <briefdescription>
<para>The number of data bits (generally 8 or 9) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="171" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="171" />
      </memberdef>
      <memberdef id="structcyhal__uart__cfg__t_1a6864a54db95005a564fd8617f9029e20" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_uart_cfg_t::stop_bits</definition>
        <argsstring />
        <name>stop_bits</name>
        <briefdescription>
<para>The number of stop bits (generally 0 or 1) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="172" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="172" />
      </memberdef>
      <memberdef id="structcyhal__uart__cfg__t_1a70b51afc79e56af7360a9b35de3fdb0e" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__hal__uart_1ga410f06ac3fe5576220caf146fda6b77b">cyhal_uart_parity_t</ref></type>
        <definition>cyhal_uart_parity_t cyhal_uart_cfg_t::parity</definition>
        <argsstring />
        <name>parity</name>
        <briefdescription>
<para>The parity. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="173" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="173" />
      </memberdef>
      <memberdef id="structcyhal__uart__cfg__t_1abf31b7706f129f2ea59471ba7fb6835a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cyhal_uart_cfg_t::rx_buffer</definition>
        <argsstring />
        <name>rx_buffer</name>
        <briefdescription>
<para>The rx software buffer pointer, if NULL, no rx software buffer will be used. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="174" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="174" />
      </memberdef>
      <memberdef id="structcyhal__uart__cfg__t_1a3ab4d4e2c33ec8ba1a0943e1f24d61f1" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_uart_cfg_t::rx_buffer_size</definition>
        <argsstring />
        <name>rx_buffer_size</name>
        <briefdescription>
<para>The number of bytes in the rx software buffer. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="175" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="175" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Initial UART configuration. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="176" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="169" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="170" />
    <listofallmembers>
      <member prot="public" refid="structcyhal__uart__cfg__t_1a3360061aafad236eb9a9d347f9154643" virt="non-virtual"><scope>cyhal_uart_cfg_t</scope><name>data_bits</name></member>
      <member prot="public" refid="structcyhal__uart__cfg__t_1a70b51afc79e56af7360a9b35de3fdb0e" virt="non-virtual"><scope>cyhal_uart_cfg_t</scope><name>parity</name></member>
      <member prot="public" refid="structcyhal__uart__cfg__t_1abf31b7706f129f2ea59471ba7fb6835a" virt="non-virtual"><scope>cyhal_uart_cfg_t</scope><name>rx_buffer</name></member>
      <member prot="public" refid="structcyhal__uart__cfg__t_1a3ab4d4e2c33ec8ba1a0943e1f24d61f1" virt="non-virtual"><scope>cyhal_uart_cfg_t</scope><name>rx_buffer_size</name></member>
      <member prot="public" refid="structcyhal__uart__cfg__t_1a6864a54db95005a564fd8617f9029e20" virt="non-virtual"><scope>cyhal_uart_cfg_t</scope><name>stop_bits</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>